Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.ant
[Java] Class FileIterator

    java.lang.Object
      org.codehaus.groovy.ant.FileIterator

All Implemented Interfaces:
  java.util.Iterator

    public class FileIterator
    extends java.lang.Object

`FileIterator` is an iterator over a number of files from a collection of FileSet instances.

Authors:
  James Strachan

Version:
  \$Revision\$

Constructor Summary
`FileIterator(org.apache.tools.ant.Project project, java.util.Iterator fileSetIterator)`
`FileIterator(org.apache.tools.ant.Project project, java.util.Iterator fileSetIterator, boolean iterateDirectories)`

Method Summary
`boolean` | `hasNext()` @return true if there is another object that matches the given predicate
`java.lang.Object` | `next()` @return the next object which matches the given predicate
`void` | `remove()` throws UnsupportedOperationException

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### FileIterator

    public FileIterator(org.apache.tools.ant.Project project, java.util.Iterator fileSetIterator)

### FileIterator

    public FileIterator(org.apache.tools.ant.Project project, java.util.Iterator fileSetIterator, boolean iterateDirectories)

Method Detail

### hasNext

    public boolean hasNext()

  Returns:
    true if there is another object that matches the given predicate

### next

    public java.lang.Object next()

  Returns:
    the next object which matches the given predicate

### remove

    public void remove()

  throws UnsupportedOperationException

Groovy Documentation